Download it now!
Bug 93846 - Localized Emoji Does Not Work (while the original english string works)
Summary: Localized Emoji Does Not Work (while the original english string works)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112807 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-09-02 01:16 UTC by yanjingtao
Modified: 2020-10-03 03:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer's autosuggestion setting (39.29 KB, image/png)
2015-09-02 01:16 UTC, yanjingtao
Details
emoji work and does not work (9.51 KB, application/vnd.oasis.opendocument.text)
2015-09-02 01:17 UTC, yanjingtao
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yanjingtao 2015-09-02 01:16:35 UTC
Created attachment 118320 [details]
Writer's autosuggestion setting

We have translate some emoji in pootle server, and I found those emojis had been translated doesn't work.

For example:
:copyright:  =>   :版权:

When I type :copyright: ,writer will replace to ©, but :版权: doesn't work.

You can reproduce in Simplified Chinese(简体中文) locate.

OS: Windows 7 SP1 x86_64 zh_CN
LO: 5.0.1.2 x86_64
Locate: zh_CN

This bug is first report in LibreOffice Chinese Forum.
http://www.libreofficechina.org/thread-930-1-1.html
Comment 1 yanjingtao 2015-09-02 01:17:34 UTC
Created attachment 118321 [details]
emoji work and does not work
Comment 2 tommy27 2015-09-25 12:34:49 UTC
interesting...
many emojis never worked (see Bug 92940) but if you say that previously working emojis started to fail after being translated this could give some hint about what's not working in this new feature
Comment 3 Kevin Suo 2015-11-03 04:08:22 UTC
Confirmed with
Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: zh-CN (zh_CN)
Win10 X86

Set to NEW.

Is it possible due to that zh_CN emoji is not fully translated so that the emoji is distabled for zh_CN when compile?
Comment 4 V Stuart Foote 2016-11-02 15:50:05 UTC
Please retest with a build of master from 20161102 onward.

Believe 

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03bff1b6b953e4b7a54d2fb7bbf366bea7e959d9

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d39c2013374727b1c8f147b8b99d54402a7ff02

for bug 71603 should help here as well.
Comment 5 tommy27 2016-11-19 08:43:01 UTC
I confirm it's fixed too under Win 8.1 x64 using latest 5.3.x daily build
Comment 6 tommy27 2016-11-19 08:44:03 UTC
sorry posted to the wrong bug report
Comment 7 Xisco Faulí 2017-10-02 08:29:17 UTC
*** Bug 112807 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2018-10-03 02:54:13 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-10-03 03:52:15 UTC
Dear yanjingtao,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug